[![reactstrap](https://cloud.githubusercontent.com/assets/399776/13906899/1de62f0c-ee9f-11e5-95c0-c515fee8e918.png)](https://reactstrap.github.io)

[![Build Status](https://travis-ci.org/reactstrap/reactstrap.svg?branch=master)](https://travis-ci.org/reactstrap/reactstrap) [![Coverage Status](https://coveralls.io/repos/github/reactstrap/reactstrap/badge.svg?branch=master)](https://coveralls.io/github/reactstrap/reactstrap?branch=master)

# reactstrap

React Bootstrap 4 components compatible with React 0.14.x and 15.x.

## Installation

Add `reactstrap` as a dependency via npm:

```sh
npm install reactstrap --save
```

Import the components you need, example:

```js
import { Button, Popover, Tooltip } from 'reactstrap';
```


## Documentation

https://reactstrap.github.io

This library contains the following components:

 - [Button](https://reactstrap.github.io/components/buttons)
 - [ButtonDropdown](https://reactstrap.github.io/components/button-dropdown)
 - [ButtonGroup](https://reactstrap.github.io/components/button-group)
 - [ButtonToolbar](https://reactstrap.github.io/components/button-group)
 - Dropdown
 - DropdownItem
 - DropdownMenu
 - DropdownToggle
 - [Label](https://reactstrap.github.io/components/labels)
 - [Popover](https://reactstrap.github.io/components/popovers)
 - [PopoverContent](https://reactstrap.github.io/components/popovers)
 - [PopoverTitle](https://reactstrap.github.io/components/popovers)
 - Modal
 - ModalHeader
 - ModalBody
 - ModalFooter
 - [Tooltip](https://reactstrap.github.io/components/tooltips)

## Development

Install dependencies:

```sh
npm install
```

Run examples at [http://localhost:8080/](http://localhost:8080/) with webpack dev server:

```sh
npm start
```

Run tests & coverage report:

```sh
npm test
```

Watch tests:

```sh
npm run test-watch
```
